commit:     657bd3f30c667381a988a0b6a99a268deaa2fc2f
Author:     Lukas Schmelting <lschmelting <AT> posteo <DOT> com>
AuthorDate: Tue Jun 10 17:04:03 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Jun 12 22:05:52 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=657bd3f3

x11-libs/vte: Version bump to 0.78.5

Signed-off-by: Lukas Schmelting <lschmelting <AT> posteo.com>
Part-of: https://github.com/gentoo/gentoo/pull/42537
Signed-off-by: Sam James <sam <AT> gentoo.org>

 x11-libs/vte/Manifest          |  1 +
 x11-libs/vte/vte-0.78.5.ebuild | 99 ++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 100 insertions(+)

diff --git a/x11-libs/vte/Manifest b/x11-libs/vte/Manifest
index a5354a985524..c98f78df9e90 100644
--- a/x11-libs/vte/Manifest
+++ b/x11-libs/vte/Manifest
@@ -2,3 +2,4 @@ DIST vte-0.76.3-a11y-implement-GtkAccessibleText.patch.xz 9548 
BLAKE2B 2c34f44cf
 DIST vte-0.76.3-command-notify.patch.xz 4336 BLAKE2B 
d3fd8eef9c3322af20ceac4678635edbb00159fa88147a897f655a5920c638da19fff10e08215a891df2cdd5721cd808b6041d84e74980a9f129e07de621526b
 SHA512 
1c974ae97823659bee873036d656423255fae2b71baa4f4221b656055d69d55120f5cccfe3d9e514a64a2c5f87f94c1e4b47b4a2a233faf28ca06a959efe3e3b
 DIST vte-0.76.3.tar.bz2 564747 BLAKE2B 
1ad65a18ca1aa2371dd74ef3ebaf1aa44358c4a1cbcfa39296fde10e03a76cdbdd2ca7f229f1b4507016e8b986824407d937952a45306eab5e6c0ca5ee9cec8b
 SHA512 
8b7e18831e99ac92159f7b39c6404879cebf22f1f2dcb3feb38cad61f374767f631923c219e153551e9f30ee75c1e8e975fbbf3a6027b9c62ba4f948e3c9f199
 DIST vte-0.78.3.tar.xz 577420 BLAKE2B 
273702dede11b0a6dba6bcc8fb1fe7d4fdf3b5194128e39a5e8c285139afb363676e9be6b2e6642f5f6924928b1aeeabd045ddd9f606a14340ea069a2c7d4aeb
 SHA512 
364729996dd0f6e491f7ffbe342db92d9f9822c6c4468265269fcfbc324e0e2c66f75107f9653b161fe4e97755c4092571b29ded963f9c00189bcbb443b5f187
+DIST vte-0.78.5.tar.xz 577560 BLAKE2B 
b1a5a2cc9fee8eb0889d8ed8780d0f65e6d297c60c3c8cf351e1a01942c752d82d13337cd093bb65cb73f5d8c5530783b171f39dac6cd258a8d53340c14d079d
 SHA512 
10c252319e03d3882c197261b572d64c1d12871ac567bcb5f7042d516734ea6f24ade314e9146888eeea427c94ebe472a03d1967af6beeaddf212fc6fd13fe42

diff --git a/x11-libs/vte/vte-0.78.5.ebuild b/x11-libs/vte/vte-0.78.5.ebuild
new file mode 100644
index 000000000000..92e1611728bd
--- /dev/null
+++ b/x11-libs/vte/vte-0.78.5.ebuild
@@ -0,0 +1,99 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+PYTHON_COMPAT=( python3_{11..13} )
+
+inherit flag-o-matic gnome.org meson python-any-r1 vala xdg
+
+DESCRIPTION="Library providing a virtual terminal emulator widget"
+HOMEPAGE="https://gitlab.gnome.org/GNOME/vte";
+
+# Once SIXEL support ships (0.66 or later), might need xterm license (but code 
might be considered upgraded to LGPL-3+)
+LICENSE="LGPL-3+ GPL-3+"
+
+SLOT="2.91"      # vte_api_version in meson.build
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="+crypt debug gtk-doc +icu +introspection systemd +vala"
+REQUIRED_USE="
+       gtk-doc? ( introspection )
+       vala? ( introspection )
+"
+
+DEPEND="
+       >=x11-libs/gtk+-3.24.22:3[introspection?]
+       >=x11-libs/cairo-1.0
+       >=dev-libs/fribidi-1.0.0
+       >=dev-libs/glib-2.72:2
+       crypt?  ( >=net-libs/gnutls-3.2.7:0= )
+       icu? ( dev-libs/icu:= )
+       >=x11-libs/pango-1.22.0
+       >=dev-libs/libpcre2-10.21:=
+       systemd? ( >=sys-apps/systemd-220:= )
+       >=app-arch/lz4-1.9
+       introspection? ( >=dev-libs/gobject-introspection-1.56:= )
+       x11-libs/pango[introspection?]
+"
+RDEPEND="${DEPEND}
+       ~gui-libs/vte-common-${PV}[systemd?]
+"
+BDEPEND="
+       ${PYTHON_DEPS}
+       dev-libs/libxml2:2
+       dev-util/glib-utils
+       gtk-doc? ( dev-util/gi-docgen )
+       >=sys-devel/gettext-0.19.8
+       virtual/pkgconfig
+       vala? ( $(vala_depend) )
+"
+
+src_prepare() {
+       default
+       use vala && vala_setup
+       xdg_environment_reset
+
+       use elibc_musl && eapply 
"${FILESDIR}"/${PN}-0.66.2-musl-W_EXITCODE.patch
+
+       # -Ddebugg option enables various debug support via VTE_DEBUG, but also 
ggdb3; strip the latter
+       sed -e '/ggdb3/d' -i meson.build || die
+       sed -i 's/vte_gettext_domain = vte_api_name/vte_gettext_domain = 
vte_gtk3_api_name/' meson.build || die
+}
+
+src_configure() {
+       # Upstream don't support LTO & error out on it in meson.build
+       filter-lto
+
+       local emesonargs=(
+               -Da11y=true
+               $(meson_use debug)
+               $(meson_use gtk-doc docs)
+               $(meson_use introspection gir)
+               -Dfribidi=true # pulled in by pango anyhow
+               -Dglade=true
+               $(meson_use crypt gnutls)
+               -Dgtk3=true
+               -Dgtk4=false
+               $(meson_use icu)
+               $(meson_use systemd _systemd)
+               $(meson_use vala vapi)
+       )
+       meson_src_configure
+}
+
+src_install() {
+       # not meson_src_install because this would include einstalldocs, which
+       # would result in file collisions with gui-libs/vte
+       meson_install
+
+       # Remove files that are provided by gui-libs/vte-common
+       rm "${ED}"/usr/libexec/vte-urlencode-cwd || die
+       rm "${ED}"/etc/profile.d/vte.sh || die
+       rm "${ED}"/etc/profile.d/vte.csh || die
+       if use systemd; then
+               rm 
"${ED}"/usr/lib/systemd/user/vte-spawn-.scope.d/defaults.conf || die
+       fi
+       if use gtk-doc; then
+               mkdir -p "${ED}"/usr/share/gtk-doc/ || die
+               mv "${ED}"/usr/share/doc/vte-${SLOT} 
"${ED}"/usr/share/gtk-doc/vte-${SLOT}-gtk3 || die
+       fi
+}

Reply via email to